package com.su.testgrid3;
import android.app.Activity;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.GridView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemClickListener;

public class TestGrid3Activity extends Activity {
	private GridView gridView;
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		String[] titles = FileUtil.getImageNames(Environment.getExternalStorageDirectory().getPath());
		String[] imagePaths = new String[titles.length];
		for (int i = 0; i < titles.length; i++) {
			imagePaths[i]="/mnt/sdcard/"+titles[i];
		}
		
		gridView = (GridView) findViewById(R.id.gridview);
		PictureAdapter adapter = new PictureAdapter(titles, imagePaths, this);
		gridView.setAdapter(adapter);

		gridView.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View v,
					int position, long id) {
				Toast.makeText(TestGrid3Activity.this, "你点击了" + (position + 1),
						Toast.LENGTH_SHORT).show();
			}
		});
		
		gridView.setOnItemLongClickListener(new OnItemLongClickListener(){
			public boolean onItemLongClick(AdapterView<?> parent, View v,
					int position, long id) {
				Toast.makeText(TestGrid3Activity.this, "你长按了" + (position + 1),
						Toast.LENGTH_SHORT).show();
				return true;
				/*
				 * 这里需要true
				 * 因为:OnItemLongClick事件中：down事件返回值标记此次事
				 * 件是否为点击事件（返回false，是点击事件；返回true，不记为点击事件），
				 * 而up事件标记此次事件结束时间，也就是判断是否为长按。
				 */
				
			}
			
		});
	}
}



